<?php
	header('Content-Type:application/json');
/*
	Este es el fichero encargado de recibir las peticiones vía ajax 
	y las mandará al controlador RemoteRequest
	@version 1.0
*/

	include_once('local.php');	// ==> Lo hacemos con un include para no tener que editar el index en cada cliente (Pedro 07/Febrero/2019)

	//Nos aseguramos de que SIEMPRE exista un "core_path"
	if (!defined('_WS_CORE_PATH')){
		define('_WS_CORE_PATH', '');	//Esta variable SÓLO se usa para poder hacer el include de webStore sin tener que tocar el index.php.
										//	Existe otra variable que es "_WS_CORE_DIR_" que contiene la ruta absoluta interna al core de webStore
	}
	
	//Arrancamos el core de webStore
	include(_WS_CORE_PATH . 'core/initWebStore.php');

	//Cualquier petición que nos hagan de forma remota debe llegar con la variable 'request'
	//Si no es así, no hacemos nada más:
	//echo json_encode(array('text' => 'hola mundo'));
	/*
	ob_start();
	var_dump(file_get_contents('php://input'));
	$test = ob_get_clean();
	echo json_encode($test);
/*
/*
	ob_start();
	$data = Getter::getJson();
	var_dump($data);
	$test = ob_get_clean();
	echo json_encode($test);;
*/
	$data = Getter::getJson();
	if ($data != NULL){
		//Con lo que tenga data, llamamos a la función que ejecutará la consulta:
		RemoteRequest::call($data);
	}
